> ## Documentation Index
> Fetch the complete documentation index at: https://distributedcrafts.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all supported routes (v3).



## OpenAPI

````yaml /api-reference/openapi.json get /v3/get-routes
openapi: 3.1.0
info:
  title: BOB Gateway API
  description: BOB Gateway API for Bitcoin swaps
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://gateway-api-mainnet.gobob.xyz
    description: Production
  - url: https://gateway-api-staging.gobob.xyz
    description: Staging
security: []
tags:
  - name: v1
    description: BOB Gateway Core API (v1)
  - name: v2
    description: BOB Gateway Core API (v2)
  - name: v3
    description: BOB Gateway Core API (v3)
paths:
  /v3/get-routes:
    get:
      tags:
        - v3
      summary: Get all supported routes (v3).
      operationId: get_routes_v3
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RouteInfo'
components:
  schemas:
    RouteInfo:
      type: object
      description: API response type for route information.
      required:
        - srcChain
        - dstChain
        - srcToken
        - dstToken
      properties:
        dstChain:
          type: string
        dstToken:
          type: string
        srcChain:
          type: string
        srcToken:
          type: string

````